# MakeSecret

Make Secret will create random values generated by SecureRandom.hex(64).
It stores these values in key/value form either in memory on in a file.
The ideal situation for Make Secret is if you have plain-text passwords that
need to be hidden from source control.

## Installation

Add this line to your application's Gemfile:

    gem 'make_secret'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install make_secret

## Usage

    # To Store data in memory
    memory_value = MakeSecret::Value.for( :key )  => result of SecureRandom.hex(64)
    memory_value == MakeSecret::Value.for( :key ) => true
    
    # To Store data in a file
    file_value = MakeSecret::Value.for( :key, 'my_file' ) => result of SecureRandom.hex(64)
    file_value = MakeSecret::Value.for( :key, 'my_file' ) => true
    file_value == memory_value => false
    



## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
